Bug 863202 - [MLA] VmPoolAdmin can't run/stop vms. Created vms by this Role has different behaviour in UP/webadmin
[MLA] VmPoolAdmin can't run/stop vms. Created vms by this Role has different ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 12:49 EDT by Ondra Machacek
Modified: 2013-12-29 05:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-29 05:52:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (160.40 KB, application/octet-stream)
2012-10-04 12:49 EDT, Ondra Machacek
no flags Details

  None (edit)
Description Ondra Machacek 2012-10-04 12:49:59 EDT
Created attachment 621743 [details]
engine.log

Description of problem:
VmPoolAdmin can't run/stop vms. Created vms by this Role has different behaviour in UP/webadmin

Version-Release number of selected component (if applicable):
si19.1

How reproducible:
always

Steps to Reproduce:
1. As SuperUser grant permissions to 'user' VmPoolAdmin permissions.
2. Login to webadmin as VmPoolAdmin as 'user' and create vmpool.
3. Try to run vm in created vmpool.
  
Actual results:
Error while executing action: User is not authorized to perform this action.

Expected results:
Vm should run.

Additional info:
Also when I detach VM, then I can't remove them(I havent on that created VM VmManager Permissions, but only in webadmin). If I create as VmPoolAdmin VM in webadmin, i dont have VmManager permissions on it, but if i create this VM in UserPortal I have.
Comment 5 Michal Skrivanek 2012-10-18 12:55:18 EDT
Miki,
so do you actually want to turn this into a feature request for VmPoolAdmin to be able to stop/start VMs?
I'd push this to rhevm_future then. As this was working before and WA is to add these permissions.
Also, did you plan to put something into release_notes as the flag suggests?
Comment 6 Stephen Gordon 2012-11-13 15:18:12 EST
Miki as we have discussed previously we do not check the requires_release_note flag anymore. If you want a bug included in the release notes you must set the "Doc Type" to "Release Note" and enter draft "Doc Text".
Comment 7 Itamar Heim 2013-12-29 05:52:47 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.